<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: CMakeCCompilerId.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a81dee0709ded976b2e0319239f72d174"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a81dee0709ded976b2e0319239f72d174">COMPILER_ID</a>&#160;&#160;&#160;&quot;&quot;</td></tr>
<tr class="separator:a81dee0709ded976b2e0319239f72d174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae9b72bb13abaabfcf2ee0ba7d3fa1d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a2ae9b72bb13abaabfcf2ee0ba7d3fa1d">STRINGIFY_HELPER</a>(X)&#160;&#160;&#160;#X</td></tr>
<tr class="separator:a2ae9b72bb13abaabfcf2ee0ba7d3fa1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e1cad902b6477bec893cb6430bd6c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a43e1cad902b6477bec893cb6430bd6c8">STRINGIFY</a>(X)&#160;&#160;&#160;<a class="el" href="cmake-build-debug_2_c_make_files_23_816_85_2_compiler_id_c_x_x_2_c_make_c_x_x_compiler_id_8cpp.html#a2ae9b72bb13abaabfcf2ee0ba7d3fa1d">STRINGIFY_HELPER</a>(X)</td></tr>
<tr class="separator:a43e1cad902b6477bec893cb6430bd6c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbc5372f40838899018fadbc89bd588b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#adbc5372f40838899018fadbc89bd588b">PLATFORM_ID</a></td></tr>
<tr class="separator:adbc5372f40838899018fadbc89bd588b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba35d0d200deaeb06aee95ca297acb28"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#aba35d0d200deaeb06aee95ca297acb28">ARCHITECTURE_ID</a></td></tr>
<tr class="separator:aba35d0d200deaeb06aee95ca297acb28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1280362da42492bbc11aa78cbf776ad"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#ad1280362da42492bbc11aa78cbf776ad">DEC</a>(n)</td></tr>
<tr class="separator:ad1280362da42492bbc11aa78cbf776ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d5d95daa1bef867bd0179594310ed5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a46d5d95daa1bef867bd0179594310ed5">HEX</a>(n)</td></tr>
<tr class="separator:a46d5d95daa1bef867bd0179594310ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f8e5783674099cd7f5110e22a78cdb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a07f8e5783674099cd7f5110e22a78cdb">C_DIALECT</a></td></tr>
<tr class="separator:a07f8e5783674099cd7f5110e22a78cdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#a79a3d8790b2588b09777910863574e09">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a0ddf1224851353fc92bfbff6f499fa97">main</a> (<a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#a79a3d8790b2588b09777910863574e09">int</a> argc, <a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> *argv[])</td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4b0efeb7a5d59313986b3a0390f050f6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a4b0efeb7a5d59313986b3a0390f050f6">info_compiler</a> = &quot;INFO&quot; &quot;:&quot; &quot;compiler[&quot; COMPILER_ID &quot;]&quot;</td></tr>
<tr class="separator:a4b0efeb7a5d59313986b3a0390f050f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2321403dee54ee23f0c2fa849c60f7d4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a2321403dee54ee23f0c2fa849c60f7d4">info_platform</a> = &quot;INFO&quot; &quot;:&quot; &quot;platform[&quot; PLATFORM_ID &quot;]&quot;</td></tr>
<tr class="separator:a2321403dee54ee23f0c2fa849c60f7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59647e99d304ed33b15cb284c27ed391"><td class="memItemLeft" align="right" valign="top"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> const  *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a59647e99d304ed33b15cb284c27ed391">info_arch</a> = &quot;INFO&quot; &quot;:&quot; &quot;arch[&quot; ARCHITECTURE_ID &quot;]&quot;</td></tr>
<tr class="separator:a59647e99d304ed33b15cb284c27ed391"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ce162bad2fe6966ac8b33cc19e120b8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a1ce162bad2fe6966ac8b33cc19e120b8">info_language_dialect_default</a></td></tr>
<tr class="separator:a1ce162bad2fe6966ac8b33cc19e120b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aba35d0d200deaeb06aee95ca297acb28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba35d0d200deaeb06aee95ca297acb28">&#9670;&nbsp;</a></span>ARCHITECTURE_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ARCHITECTURE_ID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00540">540</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a07f8e5783674099cd7f5110e22a78cdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07f8e5783674099cd7f5110e22a78cdb">&#9670;&nbsp;</a></span>C_DIALECT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define C_DIALECT</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00625">625</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a81dee0709ded976b2e0319239f72d174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81dee0709ded976b2e0319239f72d174">&#9670;&nbsp;</a></span>COMPILER_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define COMPILER_ID&#160;&#160;&#160;&quot;&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00314">314</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="ad1280362da42492bbc11aa78cbf776ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1280362da42492bbc11aa78cbf776ad">&#9670;&nbsp;</a></span>DEC</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define DEC</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">n</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 10000000)%10)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 1000000)%10)),  \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 100000)%10)),   \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 10000)%10)),    \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 1000)%10)),     \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 100)%10)),      \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + (((n) / 10)%10)),       \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> +  ((n) % 10))</div>
</div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00544">544</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a46d5d95daa1bef867bd0179594310ed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46d5d95daa1bef867bd0179594310ed5">&#9670;&nbsp;</a></span>HEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HEX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">n</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Value:</b><div class="fragment"><div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;28 &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;24 &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;20 &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;16 &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;12 &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;8  &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)&gt;&gt;4  &amp; 0xF)), \</div>
<div class="line">  (<span class="charliteral">&#39;0&#39;</span> + ((n)     &amp; 0xF))</div>
</div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00555">555</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="adbc5372f40838899018fadbc89bd588b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbc5372f40838899018fadbc89bd588b">&#9670;&nbsp;</a></span>PLATFORM_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PLATFORM_ID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00436">436</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a43e1cad902b6477bec893cb6430bd6c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43e1cad902b6477bec893cb6430bd6c8">&#9670;&nbsp;</a></span>STRINGIFY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define STRINGIFY</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">X</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="cmake-build-debug_2_c_make_files_23_816_85_2_compiler_id_c_x_x_2_c_make_c_x_x_compiler_id_8cpp.html#a2ae9b72bb13abaabfcf2ee0ba7d3fa1d">STRINGIFY_HELPER</a>(X)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00335">335</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a2ae9b72bb13abaabfcf2ee0ba7d3fa1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ae9b72bb13abaabfcf2ee0ba7d3fa1d">&#9670;&nbsp;</a></span>STRINGIFY_HELPER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define STRINGIFY_HELPER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">X</td><td>)</td>
          <td>&#160;&#160;&#160;#X</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00334">334</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0ddf1224851353fc92bfbff6f499fa97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ddf1224851353fc92bfbff6f499fa97">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#a79a3d8790b2588b09777910863574e09">int</a> main </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#a79a3d8790b2588b09777910863574e09">int</a>&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00645">645</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a59647e99d304ed33b15cb284c27ed391"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59647e99d304ed33b15cb284c27ed391">&#9670;&nbsp;</a></span>info_arch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> const* info_arch = &quot;INFO&quot; &quot;:&quot; &quot;arch[&quot; ARCHITECTURE_ID &quot;]&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00615">615</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a4b0efeb7a5d59313986b3a0390f050f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b0efeb7a5d59313986b3a0390f050f6">&#9670;&nbsp;</a></span>info_compiler</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> const* info_compiler = &quot;INFO&quot; &quot;:&quot; &quot;compiler[&quot; COMPILER_ID &quot;]&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00321">321</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a1ce162bad2fe6966ac8b33cc19e120b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ce162bad2fe6966ac8b33cc19e120b8">&#9670;&nbsp;</a></span>info_language_dialect_default</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a>* info_language_dialect_default</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div>
<div class="line">  <span class="stringliteral">&quot;INFO&quot;</span> <span class="stringliteral">&quot;:&quot;</span> <span class="stringliteral">&quot;dialect_default[&quot;</span> <a class="code" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a07f8e5783674099cd7f5110e22a78cdb">C_DIALECT</a> <span class="stringliteral">&quot;]&quot;</span></div>
</div><!-- fragment -->
<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00634">634</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
<a id="a2321403dee54ee23f0c2fa849c60f7d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2321403dee54ee23f0c2fa849c60f7d4">&#9670;&nbsp;</a></span>info_platform</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="cmake-build-debug_2_c_make_cache_8txt.html#afe71f11dacb15682cdc012f7208e6e09">char</a> const* info_platform = &quot;INFO&quot; &quot;:&quot; &quot;platform[&quot; PLATFORM_ID &quot;]&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00614">614</a> of file <a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="abuild_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_html_a07f8e5783674099cd7f5110e22a78cdb"><div class="ttname"><a href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html#a07f8e5783674099cd7f5110e22a78cdb">C_DIALECT</a></div><div class="ttdeci">#define C_DIALECT</div><div class="ttdef"><b>Definition:</b> <a href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c_source.html#l00625">build/CMakeFiles/3.16.3/CompilerIdC/CMakeCCompilerId.c:625</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_66305c5b1ee8d091cd51ee8c0efbab72.html">build</a></li><li class="navelem"><a class="el" href="dir_207e2253f1c81460c8e8a851b02d31a7.html">CMakeFiles</a></li><li class="navelem"><a class="el" href="dir_aa97661950a0fdae8f0ca28d2dd8c154.html">3.16.3</a></li><li class="navelem"><a class="el" href="dir_2d47062daa890b323a7820a38b63a9b6.html">CompilerIdC</a></li><li class="navelem"><a class="el" href="build_2_c_make_files_23_816_83_2_compiler_id_c_2_c_make_c_compiler_id_8c.html">CMakeCCompilerId.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
